> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VM Operation

> Get a VM operation

Get detailed information about a specific VM operation, including its status and results.


## OpenAPI

````yaml GET /projects/{projectId}/vms/operations/{id}
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{projectId}/vms/operations/{id}:
    get:
      tags: []
      summary: Get VM Operation
      description: Get a VM operation
      parameters:
        - name: projectId
          in: path
          description: Project id
          required: true
          example: e91bb876-3358-466d-a49a-4fb524629906
          schema:
            type: string
        - name: id
          in: path
          description: Operation id
          required: true
          example: 2d8fde0c-4115-462c-9bf3-547d6dae1555
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  operation_id:
                    type: string
                  state:
                    type: string
                  metadata:
                    type: object
                    properties:
                      operation_name:
                        type: string
                      id:
                        type: string
                      type:
                        type: string
                      request:
                        type: object
                        properties: {}
                    required:
                      - operation_name
                      - id
                      - type
                      - request
                  result:
                    type: object
                    properties: {}
                  started_at:
                    type: string
                  completed_at:
                    type: string
                required:
                  - operation_id
                  - state
                  - metadata
                  - started_at
                  - completed_at
                  - result
              examples:
                '1':
                  summary: Success
                  value:
                    operation_id: 2d8fde0c-4115-462c-9bf3-547d6dae1555
                    state: SUCCEEDED
                    metadata:
                      operation_name: CREATE
                      id: b3e571f6-c87d-4135-8081-ab219e92544e
                      type: vm
                      request: {}
                    result: {}
                    started_at: '2024-06-16T15:52:41Z'
                    completed_at: '2024-06-16T15:52:53Z'
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````